#include <iostream>

using namespace std;
int maxel(long a[],long n,long i)
{
   int maxi=i;
   for(long j=i;j<n;j++)
   {
       if(a[j]>a[i])
        maxi=j;
   }
   
   return maxi;
}
int main()
{
  long n;
  cin>>n;
  long a[n];
  for(long i=0;i<n;i++)
  {
      cin>>a[i];
  }
  if(n==2)
  {
      cout<<a[1]<<endl;
      cout<<a[0]<<endl;
  }
  else
  {
      bool t=false;


     for(long i=0;i<n-1;i++)
     {
          int maxi=maxel(a,n,i);
           if(a[maxi]!=a[i])
      {
          int p=a[i];
          a[i]=a[maxi];
          a[maxi]=p;
          t=true;
          break;
      }

     }

    if(t==false)
    {
        int u=a[n-2];
        a[n-2]=a[n-1];
        a[n-1]=u;
    }
    for(long i=0;i<n;i++)
        cout<<a[i]<<endl;


     }
  }